| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes | List of all members
Tp::CapabilityChange Struct Reference
Structure types

`#include <TelepathyQt/Types>`

## Public Attributes

uint | handle
QString | channelType
uint | oldGenericFlags
uint | newGenericFlags
uint | oldTypeSpecificFlags
uint | newTypeSpecificFlags

## Detailed Description

Structure type generated from the specification.

A struct (contact handle, channel type, old generic flags, new generic flags, old type-specific flags, new type-specific flags) representing a change to one of a contact's capabilities, as seen in the CapabilitiesChanged signal on the Capabilities interface.

## Member Data Documentation

uint Tp::CapabilityChange::handle

QString Tp::CapabilityChange::channelType

uint Tp::CapabilityChange::oldGenericFlags

uint Tp::CapabilityChange::newGenericFlags

uint Tp::CapabilityChange::oldTypeSpecificFlags

uint Tp::CapabilityChange::newTypeSpecificFlags